@import url('https://fonts.googleapis.com/css?family=Sarabun:400,700');

:root {
  --font-family: "Sarabun", Arial, sans-serif;
  --primary-dark: #282c2b;
  --primary-light: #23ADA2;
  --secondary-dark: #317A74;
  --secondary-light: #00E0CE;
  --background-light: #fff;
  --background-dark: #317A74;;
  --text-color: #293332;
  --text-color-light: #fff;
  --logo-form: #317A74;
  --logo-border: #fff;
  --logo-background: #23ADA2;
}

/*** General ************************************************/

html,
body {
  margin: 0;
  padding: 0;
  font-size: 15px;
  font-family: var(--font-family);
  color: var(--text-color);
  background-color: var(--background-light);   
}

h2{
  font-size: 40px; 
}

h2{
  font-size: 20px; 
}

a {
  text-decoration: none;
}

a:link, a:visited {
  color: inherit;
}

#accueil:hover,
#a-propos:hover,
#portfolio:hover{
  cursor: pointer;
}

.button{
  padding: 7px 20px;
  color:var(--text-color-light);
  background-color: var(--background-dark);
  border: none;
  border-radius: 5px;
  box-shadow: 0 3px 4px rgba(0, 0, 0, 0.2);
}

.logo-border{
  fill: var(--logo-border);
  stroke: var(--logo-border);
}

.logo-form{
  fill: var(--logo-form);
  stroke: var(--logo-form);
}

.logo-background{
  fill: var(--logo-background);
  stroke: var(--logo-background);
}

/*** Header ************************************************/

header{
  height: 60px;
  display: flex; 
  align-items: center;
}

#title{
  background-color: var(--primary-light); 
}

nav{
  height: 60px;
  display: flex;
  flex-direction: column;
  align-items: center;
  gap: 10px;
  color:var(--text-color-light);
  background-color: var(--primary-dark);
}

#navbar{
  display: flex;
  flex-direction: row;
  justify-content: space-between;
  gap: 50px;
}

/*** Content ************************************************/

#content{
 min-height: calc(100% - 60px);
 width: 100%;
}

#intro {
  height: 300px;
  display: flex;
  flex-direction: row;
  justify-content: center;
  align-items: center;
  gap: 5%;
  font-size: 16px;
  margin-bottom: 30px;
}

#presentation{
  height: 300px;
  background-image: url('../images/backwhite.jpg');
  transition: height 1s, justify-content 0.5s ease; 
  box-shadow: 0 3px 4px rgba(0, 0, 0, 0.2);
}

.text-presentation{
  width: 280px;
}

.text-a-propos{
  width: 440px;
  padding: 0px 20px 0px 30px;
  opacity: 1;
  transition: opacity 0.4s;
}

#content-left{
  min-height: 100%;
  display: flex;
  flex-direction: column;
  justify-content:space-around;
  align-items: center;
  transition: width 0.1s, height 0.1s;
  overflow: hidden;
}

#content-left-bottom{
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
}

#content-right{
  color:var(--text-color-light);
  background-color: var(--background-dark);
  display: flex;
  flex-direction: row;
  justify-content: center;
  align-items: center;
  transition: width 0.1s, height 0.1s;
}

#reseaux{
  margin-top: 20px;
  width: 150px;
  height: 100px;
  display: flex;
  flex-direction: row;
  justify-content:space-between;
  align-items: center;
}

#content-box{
  position: relative;
  height:100%;
  width: 100%;
  background-image: url('../images/future.jpg');
  background-size: cover;
  overflow: hidden; 
  transition: width 0.1s, height 0.1s; 
}

#content-folio {
  height: 0;
  width: 0;
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  transition: width 0.4s, height 0.4s; 
  overflow: hidden;
}

#content-folio a {
  display: block;
  width: 250px; 
  height: 450px;
}

#projets {
  display: flex;
  flex-direction: row;
  justify-content: center;
  align-items: center;
}

#content-folio img {
  width: 100%; 
  height: 100%; 
  object-fit: contain;
}

.learning-slide{
  position: absolute;
  font-size: 400%;
  opacity: 0;
  transition: opacity 3s;
}

.opacity-visible {
  opacity: 0.4;
  transition: opacity 2s;
}

#formAjoutButton{
  margin-bottom: 10px;
}

#miniFormOverlay {
  display: none;
  position: fixed;
  bottom: 0;
  left: 0;
  right: 0;
  top: 0;
  background-color: rgba(0, 0, 0, 0.5);
}

#miniForm {
  position:absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  width: 350px;
  height: 500px;
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  background-color: rgb(186, 210, 202);
  padding: 20px;
  border-radius: 5px 5px 5px 5px;
}

#formulaireAjout{
  display: flex;
  flex-direction: column;
  width: 300px;
  gap: 15px;
}

@media (min-width: 1185px) {

/*** General ************************************************/

  html,
  body {
    height: 100%;
  }   

/*** Header ************************************************/

  header{
    flex-direction: row;
    width: 100%;
  }

  #title{
    width: 40%;
    height: 60px;
  }

  nav{
    width: 60%;
  }

/*** Content ************************************************/

  #content{
    display: flex; 
    flex-direction: row; 
  }

  .content-left-accueil{
    width: 40%;
  }
  .content-left-portfolio{
    width: 0%;
    height: 1000px; 
  }

  .content-right-accueil{
    width: 60%;
  }
  .content-right-portfolio{
    width: 100%;
  }
} 

@media (max-width: 1184px) {

/*** Header ************************************************/

  header{
    flex-direction: column-reverse;
  }

  #title{
    width: 100%;
    height: 0px;
  }

  nav{
    width: 100%;
  }

/*** Content ************************************************/

  #content{
    display: flex; 
    flex-direction: column;
  }
  
  .content-left-accueil{
    width: 100%;
    min-height: 600px;
  }
  .content-left-portfolio{
    width: 0px;
    height: 0px;
    display: none;
  }

  .content-right-accueil{
    width: 100%;
    height: 500px;
  }

  .content-right-portfolio{
    position: absolute;
    width: 100%;
    height: 800px;
    top: 60px;
  }
}